<div style="text-align: center">
  <h2 style="margin-top: 1em">Image Classification Project</h2>
  <nav >
    <button mat-flat-button style="margin-left: 1em; margin-right: 1em;" [color]="((url$ | async) === '/pre-trained') ? 'primary' : null" routerLink="/pre-trained">Use Pre-Trained Model</button>
    <button mat-flat-button style="margin-left: 1em; margin-right: 1em;"  [color]="((url$ | async) === '/self-trained') ? 'primary' : null" routerLink="/self-trained" >Train Your Own Model</button>
    <!--    <a class="p-2 text-dark" routerLink="/home">Image Classifier - Upload Image</a>-->
    <!--    <a class="p-2 text-dark" routerLink="/webcam">Image Classifier - Use the Webcam</a>-->
<!--    <app-img-classifier></app-img-classifier>-->
<!--    <app-img-classifier-pretrained></app-img-classifier-pretrained>-->
  </nav>

</div>

<router-outlet></router-outlet>
